Reopen request
curl --request POST \
--url https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": true,
"message": "<string>",
"data": {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "customer",
"status": "draft",
"mode": "api_only",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"feature": "<string>",
"providerReference": "<string>",
"routeIntent": {},
"data": {},
"hostedSessions": [
{}
],
"reason": "<string>",
"metadata": {},
"actions": [
{}
],
"availableActions": [
"edit_and_resubmit"
]
}
}
}{
"statusCode": 123,
"message": "<string>",
"details": {
"code": "CUSTOMER_ONBOARDING_REQUIRED",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>"
},
"onboarding": {
"caseId": "<string>",
"status": "<string>",
"providerStatus": "<string>",
"action": {
"type": "create_case",
"method": "POST",
"path": "/v1/customers/18d2f159-e0cd-4a45-b735-e9dfe0f7520a/onboarding-requests",
"body": {
"provider": "<string>",
"type": "onramp"
}
}
}
},
"requestId": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"details": {
"code": "CUSTOMER_ONBOARDING_REQUIRED",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>"
},
"onboarding": {
"caseId": "<string>",
"status": "<string>",
"providerStatus": "<string>",
"action": {
"type": "create_case",
"method": "POST",
"path": "/v1/customers/18d2f159-e0cd-4a45-b735-e9dfe0f7520a/onboarding-requests",
"body": {
"provider": "<string>",
"type": "onramp"
}
}
}
},
"requestId": "<string>"
}Manage requests
Reopen request
Use this operation only when data.case.availableActions includes edit_and_resubmit. It returns the request to collecting_information and clears the previous hosted steps and actions.
POST
/
v1
/
customers
/
{customerId}
/
onboarding-requests
/
{caseId}
/
reopen
Reopen request
curl --request POST \
--url https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/reopen")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": true,
"message": "<string>",
"data": {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "customer",
"status": "draft",
"mode": "api_only",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"feature": "<string>",
"providerReference": "<string>",
"routeIntent": {},
"data": {},
"hostedSessions": [
{}
],
"reason": "<string>",
"metadata": {},
"actions": [
{}
],
"availableActions": [
"edit_and_resubmit"
]
}
}
}{
"statusCode": 123,
"message": "<string>",
"details": {
"code": "CUSTOMER_ONBOARDING_REQUIRED",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>"
},
"onboarding": {
"caseId": "<string>",
"status": "<string>",
"providerStatus": "<string>",
"action": {
"type": "create_case",
"method": "POST",
"path": "/v1/customers/18d2f159-e0cd-4a45-b735-e9dfe0f7520a/onboarding-requests",
"body": {
"provider": "<string>",
"type": "onramp"
}
}
}
},
"requestId": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"details": {
"code": "CUSTOMER_ONBOARDING_REQUIRED",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>"
},
"onboarding": {
"caseId": "<string>",
"status": "<string>",
"providerStatus": "<string>",
"action": {
"type": "create_case",
"method": "POST",
"path": "/v1/customers/18d2f159-e0cd-4a45-b735-e9dfe0f7520a/onboarding-requests",
"body": {
"provider": "<string>",
"type": "onramp"
}
}
}
},
"requestId": "<string>"
}Use this operation only when
data.case.availableActions includes edit_and_resubmit. It returns the request to collecting_information and clears the previous hosted steps and actions.
Update the required information, then submit again. Rejected, failed, and expired requests cannot be reopened with this operation.Authorizations
Path Parameters
Customer identifier.
Customer onboarding case identifier.

